## org.hibernate.ejb.criteria.expression.function
Class AggregationFunction.COUNT

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression<X>
                          org.hibernate.ejb.criteria.expression.function.ParameterizedFunctionExpression<T>
                              org.hibernate.ejb.criteria.expression.function.AggregationFunction<Long>
                                  org.hibernate.ejb.criteria.expression.function.AggregationFunction.COUNT

All Implemented Interfaces:
  Serializable, Expression<Long>, Selection<Long>, TupleElement<Long>, FunctionExpression<Long>, ExpressionImplementor<Long>, ParameterContainer, Renderable, SelectionImplementor<Long>, TupleElementImplementor<Long>

Enclosing class:
  AggregationFunction<T>

    public static class AggregationFunction.COUNT

extends AggregationFunction<Long>

Implementation of a `COUNT` function providing convenience in construction.

Parameterized as `Long` because thats what JPA states that the return from `COUNT` should be.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.criteria.expression.function.AggregationFunction
`AggregationFunction.AVG, AggregationFunction.COUNT, AggregationFunction.GREATEST<X extends Comparable<X>>, AggregationFunction.LEAST<X extends Comparable<X>>, AggregationFunction.MAX<N extends Number>, AggregationFunction.MIN<N extends Number>, AggregationFunction.SUM<N extends Number>`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary
`static String` `NAME`

Constructor Summary
`AggregationFunction.COUNT(CriteriaBuilderImpl criteriaBuilder, Expression<?> expression, boolean distinct)`

Method Summary
`boolean` `isDistinct()`
`protected void` `renderArguments(StringBuilder buffer, CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.expression.function.AggregationFunction
`isAggregation`

Methods inherited from class org.hibernate.ejb.criteria.expression.function.ParameterizedFunctionExpression
`getArgumentExpressions, properSize, registerParameters, render, wrapAsLiterals`

Methods inherited from class org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression
`getFunctionName, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.expression.function.FunctionExpression
`getFunctionName`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### AggregationFunction.COUNT

    public AggregationFunction.COUNT(CriteriaBuilderImpl criteriaBuilder,
                                     Expression<?> expression,
                                     boolean distinct)

Method Detail

### renderArguments

    protected void renderArguments(StringBuilder buffer,
                                   CriteriaQueryCompiler.RenderingContext renderingContext)

  Overrides:
    `renderArguments` in class `ParameterizedFunctionExpression<Long>`

### isDistinct

    public boolean isDistinct()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.